# $Revision: 1.41 $, $Date: 2005/11/17 13:10:07 $
Summary:	Utilities to create and check MS-DOS FAT filesystems
Summary(es):	Un programa que crea sistemas de archivo de MS-DOS (FAT) en Linux
Summary(pl):	Narzdzia do tworzenia i sprawdzania systemw plikowych MS-DOS FAT
Summary(pt_BR):	Um programa que cria sistemas de arquivo do MS-DOS (FAT) no Linux
Name:		dosfstools
Version:	2.11
Release:	3
License:	GPL
Group:		Applications/System
Source0:	ftp://ftp.uni-erlangen.de/pub/Linux/LOCAL/dosfstools/%{name}-%{version}.src.tar.gz
# Source0-md5:	407d405ade410f7597d364ab5dc8c9f6
Source1:	http://www.mif.pg.gda.pl/homepages/ankry/man-PLD/%{name}-pl-man-pages.tar.bz2
# Source1-md5:	28913ed142dac33624b14ce1e1ce8803
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)
Obsoletes:	mkdosfs-ygg

%define		_sbindir	/sbin

%description
Inside of this package there are two utilities to create and to check
MS-DOS FAT filesystems on either harddisks or floppies under Linux.
This version uses the enhanced boot sector/superblock format of DOS
3.3+ as well as provides a default dummy boot sector code.

%description -l es
El programa mkdosfs se usa para crear un sistema de archivos FAT
(MS-DOS) a partir de Linux.

Si su computador necesita usar sistemas de archivo MS-DOS usted debe
instalar el paquete dosfstools.

%description -l pl
W pakiecie znajduj si dwa narzdzia suce do tworzenia i
sprawdzania systemw plikw FAT na dyskach twardych lub dyskietkach
pod Linuksem. Wersja ta uywa ulepszonego formatu sektora
uruchomieniowego/superbloku uywanego w DOS-ie 3.3 i nowszych oraz
obsuguje pusty kod sektora uruchomieniowego.

%description -l pt_BR
O programa mkdosfs  usado para criar um sistema de arquivos FAT
(MS-DOS) a partir do Linux.

O pacote dosfstools deve ser instalado se sua mquina precisa usar
sistemas de arquivo MS-DOS.

%prep
%setup -q

cp dosfsck/README README.fsck
cp mkdosfs/README README.mkdosfs

%build
%{__make} \
	OPTFLAGS="%{rpmcflags} -D_FILE_OFFSET_BITS=64 -D_LARGEFILE64_SOURCE" \
	PREFIX=%{_prefix}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	PREFIX=$RPM_BUILD_ROOT \
	MANDIR=$RPM_BUILD_ROOT%{_mandir}/man8

rm -f $RPM_BUILD_ROOT%{_mandir}/man8/*.{msdos,vfat}.8
echo ".so dosfsck.8" > $RPM_BUILD_ROOT%{_mandir}/man8/fsck.msdos.8
echo ".so dosfsck.8" > $RPM_BUILD_ROOT%{_mandir}/man8/fsck.vfat.8
echo ".so mkdosfs.8" > $RPM_BUILD_ROOT%{_mandir}/man8/mkfs.msdos.8
echo ".so mkdosfs.8" > $RPM_BUILD_ROOT%{_mandir}/man8/mkfs.vfat.8
bzip2 -dc %{SOURCE1} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}
rm -f $RPM_BUILD_ROOT%{_mandir}/README*

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGES TODO README.fsck README.mkdosfs
%attr(755,root,root) %{_sbindir}/*
%{_mandir}/man8/*
%lang(pl) %{_mandir}/pl/man8/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: dosfstools.spec,v $
Revision 1.41  2005/11/17 13:10:07  tommat
- added -D_LARGEFILE64_SOURCE to compile flags, now it is possible to make
  filesystems larger than 1G
- rel 3, STBR

Revision 1.40  2005/10/05 17:40:05  witekfl
- build using -D_FILE_OFFSET_BITS=64 (patch by Maciej Witaszek)
- rel 2

Revision 1.39  2005/03/22 19:00:55  saq
- up to 2.11

Revision 1.38  2004/12/09 11:30:00  paladine
- spaces->tabs
- cosmetics

Revision 1.37  2004/08/23 22:14:16  qboosh
- release 2

Revision 1.36  2004/08/19 18:26:43  pluto
- %%build fixed (it requires llh:<linux/msdos_fs.h>, rev 1.6).
  mmazur, when you release llh?

Revision 1.35  2004/05/07 14:50:27  areq
-  CFLAGS="-I /usr/src/linux/include"

Revision 1.34  2003/09/27 11:41:27  adamg
- updated to 2.10
- removed obsolete -errno.patch

Revision 1.33  2003/05/26 16:24:54  malekith
- massive attack: adding Source-md5

Revision 1.32  2003/05/25 11:00:50  malekith
- massive attack, adding Source-md5

Revision 1.31  2003/05/25 05:46:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.30  2003/05/22 23:51:49  malekith
- up to 2.9

Revision 1.29  2003/05/09 13:04:17  areq
- add errno.patch

Revision 1.28  2002/12/02 22:08:28  ankry
- pl Summary/description fixes
- adapterized

Revision 1.27  2002/12/02 11:06:16  ankry
- massive cleaning

Revision 1.26  2002/11/25 15:01:43  marcus
- use new %%doc

Revision 1.25  2002/04/25 16:13:27  arturs
fixed a small typo

Revision 1.24  2002/02/23 01:58:09  kloczek
- adapterized.

Revision 1.23  2002/02/22 23:28:48  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.22  2002/01/24 00:12:58  ankry
- added man-pages tar URL

Revision 1.21  2002/01/18 02:12:45  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.20  2001/11/26 15:07:07  kloczek
- merge translations from CNV.

Revision 1.19  2001/11/26 14:39:09  ankry
- added pl man pages
- fixed .so pointers creating in spec
- release 2

Revision 1.18  2001/07/28 15:01:37  migo
- Summary -> Summary(pl)

Revision 1.17  2001/04/30 16:05:16  kloczek
- added using %%{rpmcflags} macro.

Revision 1.16  2001/03/01 05:30:40  kloczek
- updated to 2.8.

Revision 1.15  2001/01/25 20:03:22  misiek

Massive attack. We use -O0 instead -O flags while debug enabled.

Revision 1.14  2000/12/23 00:48:43  michuz
- changed %%{!?debug:...}%%{?debug...} to %%{?debug:...}%%{!?debug...}
  (now it's more C like)

Revision 1.13  2000/11/29 11:18:14  kloczek
- added pl Summary.

Revision 1.12  2000/11/29 11:10:27  wiget
2.6, removed obsoleted patches

Revision 1.11  2000/10/25 05:59:16  kloczek
- release 9,
- use new rpm automation,
- merge linux24 patch from RH.

Revision 1.10  2000/06/09 07:22:49  kloczek
- added using %%{__make} macro.

Revision 1.9  2000/05/31 07:54:07  wiget
release++

Revision 1.8  2000/05/31 07:50:17  wiget
added patches from Rawhide

Revision 1.7  2000/05/18 18:08:17  kloczek
- spec adapterized.

Revision 1.6  2000/04/10 17:06:16  baggins
- more spelling fixes

Revision 1.5  2000/04/01 11:14:25  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.4  2000/03/28 15:38:05  arturs
- added %description -l pl

Revision 1.3  1999/11/03 18:39:23  kloczek
- typo.

Revision 1.2  1999/11/03 18:32:38  kloczek
- cosmetics.

Revision 1.1  1999/11/02 12:59:45  baggins
- new, PLD style specs

* Mon Aug  2 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Remove fsck.* to don't have a fsck on vfat on boot (Maybe we can
  do a port of scandisk on linux ;) )

* Thu Jul  8 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Rewriting the .spec files to obsoletes mkdosfs-ygg for new dosfstools.
- initialization of spec file.
- 2.2 :
 - Added dosfsck/COPYING, putting dosfsck officially under GPL (Werner
   and I agree that it should be GPL).
 - mkdosfs: Allow creation of a 16 bit FAT on filesystems that are too
   small for it if the user explicitly selected FAT16 (but a warning
   is printed). Formerly, you got the misleading error message "make
   the fs a bit smaller".
 - dosfsck: new option -y as synonym for -y; for compability with
   other fs checkers, which also accept this option.
 - dosfsck: Now prints messages similar to e2fsck: at start version
   and feature list; at end number of files (and directories) and
   number of used/total clusters. This makes the printouts of *fsck at
   boot time nicer.
 - dosfsck: -a (auto repair) now turns on -f (salvage files), too. -a
   should act as non-destructive as possible, so lost clusters should
   be assigned to files. Otherwise the data in them might be
   overwritten later.
 - dosfsck: Don't drop a directory with lots of bad entries in
   auto-repair mode for the same reason as above.
 - dosfsck: avoid deleting the whole FAT32 root dir if something is
   wrong with it (bad start cluster or the like).
 - general: also create symlinks {mkfs,fsck}.vfat.8 to the respective
   real man pages.
